using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace RB_MES_API.Models
{
    /// <summary>
    /// 接口描述
    /// </summary>
    public class FunctionList
    {
        [Key]
        public int FID { get; set; }
        [DisplayName("API分组")]
        public int FGoupID { get; set; }
        [Required]
        [DisplayName("接口名称")]
        [StringLength(80)]
        public string FFunctionName { get; set; } = string.Empty;
        [Required]
        [DisplayName("接口类型")]
        public int FInterfaceType { get; set; }     //数据来源于枚举InterfaceType
        [Required]
        [DisplayName("API完整地址")]
        [DataType(DataType.Url)]
        [StringLength(255)]
        public string FUrl { get; set; } = string.Empty;
        [Required]
        [DisplayName("接口描述")]
        [StringLength(255)]
        public string FDescription { get; set; } = string.Empty;
        [DisplayName("是否使用")]
        [DefaultValue(true)]
        public bool FUsing { get; set; }
        [ForeignKey("FGoupID")]
        public virtual APIGrou apigroup { get; set; }

    }
}
